Loading...
Searching...
No Matches
Realization.h File Reference

Defines Realization - a vector of Buffer for use in pipelines with multiple outputs. More...

`#include <cstdint>`
`#include <vector>`
`#include "Buffer.h"`
`#include "Util.h"`

Go to the source code of this file.

## Classes

class | Halide::Realization
| A Realization is a vector of references to existing Buffer objects. More...

## Namespaces

namespace | Halide
| This file defines the class FunctionDAG, which is our representation of a Halide pipeline, and contains methods to using Halide's bounds tools to query properties of it.

## Detailed Description

Defines Realization - a vector of Buffer for use in pipelines with multiple outputs.

Definition in file Realization.h.